Subject: python 2.2.1 on Cygwin
From: "Jochen Küpper" <[email-masked]>
Cc: Cygwin Cygnus <[email-masked]>
Date: 09 Apr 2002 19:38:06 -0400
Newsgroups: comp.lang.python

The following message is a courtesy copy of an article
that has been posted to comp.lang.python as well.

I have just compiled latest cvs release22-maint on Cygwin.  I get the
following test results:
,----
| 149 tests OK.
| 7 tests failed:
|     test_mimetypes test_mmap test_pyclbr test_socket test_sundry
|     test_urllib test_urllib2
| 31 tests skipped:
|     test___all__ test_al test_asynchat test_bsddb test_cd test_cgi
|     test_cl test_curses test_dbm test_dl test_fork1 test_gl
|     test_imgfile test_largefile test_linuxaudiodev test_locale
|     test_minidom test_nis test_ntpath test_pyexpat test_sax
|     test_socket_ssl test_socketserver test_sunaudiodev test_thread
|     test_threaded_import test_threadedtempfile test_threading
|     test_unicode_file test_winreg test_winsound
`----

When I run the individual tests I get:
,----[python Lib/test/test_mimetypes.py]
| test_data_urls (__main__.MimeTypesTestCase) ... ok
| test_default_data (__main__.MimeTypesTestCase) ... ok
| test_file_parsing (__main__.MimeTypesTestCase) ... ok
| test_non_standard_types (__main__.MimeTypesTestCase) ... ok
| 
| ----------------------------------------------------------------------
| Ran 4 tests in 0.092s
| 
| OK
`----

,----[python Lib/test/test_mmap.py]
| <type 'mmap.mmap'>
|   Position of foo: 1.0 pages
|   Length of file: 2.0 pages
|   Contents of byte 0: '\x00'
|   Contents of first 3 bytes: '\x00\x00\x00'
| 
|   Modifying file's content...
|   Contents of byte 0: '3'
|   Contents of first 3 bytes: '3\x00\x00'
|   Contents of second page: '\x00foobar\x00'
|   Regex match on mmap (page start, length of match): 1.0 6
|   Seek to zeroth byte
|   Seek to 42nd byte
|   Seek to last byte
|   Try to seek to negative position...
|   Try to seek beyond end of mmap...
|   Try to seek to negative position...
|   Attempting resize()
|   Creating 10 byte test data file.
|   Opening mmap with access=ACCESS_READ
|   Ensuring that readonly mmap can't be slice assigned.
|   Ensuring that readonly mmap can't be item assigned.
|   Ensuring that readonly mmap can't be write() to.
|   Ensuring that readonly mmap can't be write_byte() to.
|   Ensuring that readonly mmap can't be resized.
|   Opening mmap with access=ACCESS_WRITE
|   Modifying write-through memory map.
|   Opening mmap with access=ACCESS_COPY
|   Modifying copy-on-write memory map.
|   Ensuring copy-on-write maps cannot be resized.
|   Ensuring invalid access parameter raises exception.
| Traceback (most recent call last):
|   File "Lib/test/test_mmap.py", line 274, in ?
|     test_both()
|   File "Lib/test/test_mmap.py", line 249, in test_both
|     f = open(TESTFN, 'w+')
| IOError: [Errno 13] Permission denied: '@test'
`----
(this is on a local filesystem, one-user on the machine, me)

,----[python Lib/test/test_pyclbr.py]
| test_easy (__main__.PyclbrTest) ... ok
| test_others (__main__.PyclbrTest) ... ok
| 
| ----------------------------------------------------------------------
| Ran 2 tests in 2.925s
| 
| OK
`----

,----[python Lib/test/test_socket.py]
| socket.error
| BOCK
| 152.2.48.182
| bock.chem.unc.edu [] ['152.2.48.182']
| ['bock.chem.unc.edu']
| 23
| parent accepting
| child connecting
| connected by ('127.0.0.1', 3547)
| fileno: 4
| peer: ('127.0.0.1', 3547)
| sockname: ('127.0.0.1', 50007)
| file obj: <open file '<socket>', mode 'r' at 0x100dd008>
| received: socket test
`----

the following gave no output:
,----
| python Lib/test/test_sundry.py
| python Lib/test/test_urllib.py
| python Lib/test/test_urllib2.py
`----

I am not sure why test reported to fail seem to work ok?

Anyway, hope it helps.  Please cc me if you have questions or need
more info.

Greetings,
Jochen
-- 
University of North Carolina                       phone: +1-919-962-4403
Department of Chemistry                            phone: +1-919-962-1579
Venable Hall CB#3290 (Kenan C148)                    fax: +1-919-843-6041
Chapel Hill, NC 27599, USA                            GnuPG key: 44BCCD8E

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/